System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

Although this class is designed to serve as the base class for user-defined classes, the current implementation of XML Web services does not support such user-defined classes.

For more information about specifying protocols for XML Web services, see [<topic://cpconbuildingaspnetwebservices>]. For more information about Web Services Description Language (WSDL), see the specification at http://www.w3.org/TR/wsdl/.

Serves as a base class for derived classes that import SOAP transmission protocols into XML Web services.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added

  When overridden in a derived class, this method uses information contained in the object model (available through the property) to add transport-specific code to the class being generated.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.SoapProtocolImporter To be added: an object of type 'SoapProtocolImporter'

  Derived classes can use this property to get detailed information about the current import context, such as the object model, the current class name, or the current method name.

  Gets or sets a reference to the performing the import action.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  When overridden in a derived class, this method determines whether the specified transport protocol is supported by the XML Web service.

  true if the transport protocol is supported; otherwise, false.

  A URI representing the transport protocol to be checked. 1.0.5000.0 2.0.0.0